apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: forgejo-token
spec:
  refreshInterval: 240m
  secretStoreRef:
    name: vault
    kind: ClusterSecretStore
  target:
    name: es-forgejo-token
  data:
  - secretKey: RENOVATE_TOKEN
    remoteRef:
      key: shuttle/renovate
      property: forgejo-token

